﻿using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace AutoComplete
{
    class CustomGrid: Grid
    { 
    public ObservableCollection<View> DataSource
    {
        get;
        set;
    }

    public CustomGrid()
    {
        DataSource = new ObservableCollection<View>();
        DataSource.CollectionChanged += DataSource_CollectionChanged;
    }

    private void DataSource_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
    {
        Repopulate();
    }

    public void Repopulate()
    {
        int x = 0;
        int y = 0;

        foreach (View view in DataSource)
        {
            if (x <= this.RowDefinitions.Count)
            {
                this.Children.Add(view, x, y);
                x++;
            }
            else
            {
                y++;
                x = 0;
                this.Children.Add(view, x, y);
            }
        }
    }
}
}
